<ul style="display: block; justify-content: space-between; list-style: none;">
	<li style='margin-bottom: 5px'>
		Amount required: <strong id="amount-required"> <?php echo esc_html($invoice['amountRequiredUnit']); ?> </strong>
		<button style="padding: 5px; text-align: center;" id="copy-amount"
				class="copy-btn button wp-element-button product_type_simple add_to_cart_button ajax_add_to_cart"
				onclick="copyToClipboard('amount-required', 'copy-amount')">
			Copy
		</button>
	</li>
	<li style='margin-bottom: 5px'>
		<div style='display: flex;'>
			Currency:
			<strong style="margin-left: 5px; margin-right: 5px"> <?php echo esc_html($payload['label']); ?> </strong>
			<img alt='icon' style='justify-content: center; align-items: center;'
				 src='<?php echo esc_url($payload['icon']); ?>'>
		</div>
	</li>
	<li style='margin-bottom: 5px'>
		Network: <strong> <?php echo esc_html($payload['network']); ?> </strong>
	</li>
	<li style='margin-bottom: 5px'>
		Wallet address <strong id="wallet-address"> <?php echo esc_html($invoice['walletAddress']); ?></strong>
		<button style="padding: 5px; text-align: center;" id="copy-wallet"
				class="copy-btn button wp-element-button product_type_simple add_to_cart_button ajax_add_to_cart"
				onclick="copyToClipboard('wallet-address', 'copy-wallet')">
			Copy
		</button>
	</li>
	<li style='margin-bottom: 5px'>
		Status: <strong>PENDING</strong>
	</li>
</ul>

<img style='margin-left: 40px' src="data:image/png;base64, <?php echo esc_html($imageString); ?>" alt="QR Code">

<p style='margin-left: 40px'>
	<a style="text-decoration: none" href='<?php echo esc_url($completeUrl); ?>'>
		<button class='button wp-element-button product_type_simple add_to_cart_button ajax_add_to_cart'>Paid</button>
	</a>
	<a style='margin-left: 10px' class="button cancel btn-lex shadow"
	   href='<?php echo esc_url($cancelUrl); ?>'>Cancel</a>
</p>

<script>
	function copyToClipboard(elementId, buttonId) {
		let copyText = document.getElementById(elementId).textContent;
		let tempInput = document.createElement("input");
		document.body.appendChild(tempInput);
		tempInput.value = copyText;
		tempInput.select();
		document.execCommand("copy");
		document.body.removeChild(tempInput);

		let copyButton = document.getElementById(buttonId);
		copyButton.textContent = "Copied!";

		setTimeout(function () {
			copyButton.textContent = "Copy";
		}, 2000);
	}
</script>
